import { jsx } from "react/jsx-runtime";
import { TokenETHX as TokenETHX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenETHX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ETHX", "data-name": "TokenETHX", ...props, children: /* @__PURE__ */ jsx(TokenETHX$1, { variant }) });
  }
);
TokenETHX.displayName = "TokenETHX";
Object.assign(TokenETHX, { isGdsIcon: true });
export {
  TokenETHX
};
